(function () {

	'use strict';

	jQuery( '.appointment-provider' ).each( function() {

		var $this = jQuery( this ),
			data  = $this.data( 'args' );

		var loadServices = function() {

			let $input = jQuery( this );
			let service = $input.val();

			if ( ! service ) {

				$this.find( 'option' ).each(function() {
					var $option = jQuery( this );
					if ( $option.val() ) {
						$option.remove();
					}
				});

				return;
			}

			jQuery.ajax({
				url: data.api.service_providers,
				type: 'GET',
				dataType: 'json',
				data: {
					service: service,
				},
			}).done( function( response ) {
				if ( response.data.length ) {
					$this.html( '<option value="">' + data.placeholder + '</option>' );
					for ( var i = 0; i < response.data.length; i++ ) {
						let item = response.data[ i ];
						$this.append('<option value="' + item.ID + '">' + item.post_title + '</option>' );
					}
				}
			} );

		};

		if ( data.service.field ) {
			jQuery( document ).on( 'change', '[name="' + data.service.field + '"]', loadServices );
			jQuery( '[name="' + data.service.field + '"]' ).each( loadServices );
		}

	} );

}());