<?php
namespace JET_APB\Rest_API;

use JET_APB\Plugin;
use JET_APB\Time_Slots;

class Endpoint_Service_Providers extends \Jet_Engine_Base_API_Endpoint {

	/**
	 * Returns route name
	 *
	 * @return string
	 */
	public function get_name() {
		return 'appointment-service-providers';
	}

	/**
	 * API callback
	 *
	 * @return void
	 */
	public function callback( $request ) {

		$params  = $request->get_params();
		$service = ! empty( $params['service'] ) ? absint( $params['service'] ) : 0;

		if ( ! $service ) {
			return rest_ensure_response( array(
				'success' => false,
			) );
		}

		return rest_ensure_response( array(
			'success' => true,
			'data'    => Plugin::instance()->tools->get_providers_for_service( $service ),
		) );

	}

	/**
	 * Returns endpoint request method - GET/POST/PUT/DELTE
	 *
	 * @return string
	 */
	public function get_method() {
		return 'GET';
	}

	/**
	 * Returns arguments config
	 *
	 * @return array
	 */
	public function get_args() {
		return array(
			'service' => array(
				'default'  => '',
				'required' => true,
			),
		);
	}

}
