<?php
/**
 * Edit fields template
 */
?>
<div class="jet-form-editor__row direction-column" v-if="'appointment_date' === currentItem.settings.type">
	<div class="jet-form-editor__row-title"><?php
		_e( 'Appointment Specific Settings', 'jet-appointmets-booking' );
	?></div>
	<div class="jet-form-editor__group">
		<div class="jet-form-editor__col">
			<div class="jet-form-editor__col-label"><?php
				_e( 'Get Service ID From:', 'jet-engine' );
			?></div>
			<div class="jet-form-editor__col-control">
				<select v-model="currentItem.settings.appointment_service_field">
					<option value=""><?php _e( 'Not Selected', 'jet-engine' ); ?></option>
					<option value="current_post_id"><?php _e( 'Current Post ID', 'jet-engine' ); ?></option>
					<option value="form_field"><?php _e( 'Form Field', 'jet-engine' ); ?></option>
					<option value="manual_input"><?php _e( 'Manual Input', 'jet-engine' ); ?></option>
				</select>
			</div>
		</div>
		<div class="jet-form-editor__col">
			<div class="jet-form-editor__col-label"><?php
				_e( 'Select Service Field <i>(for <b>Form Field</b> option)</i>:', 'jet-engine' );
			?></div>
			<div class="jet-form-editor__col-control">
				<select v-model="currentItem.settings.appointment_form_field">
					<option value="">--</option>
					<option v-for="field in availableFields" :value="field" v-if="field !== currentItem.settings.name">{{ field }}</option>
				</select>
			</div>
		</div>
		<div class="jet-form-editor__col">
			<div class="jet-form-editor__col-label"><?php _e( 'Set Service ID <i>(for <b>Manual Input</b> option)</i>:', 'jet-engine' ); ?></div>
			<div class="jet-form-editor__col-control">
				<input type="text" v-model="currentItem.settings.appointment_service_id">
			</div>
		</div>
	</div>
	<div class="jet-form-editor__group">
		<div class="jet-form-editor__col">
			<div class="jet-form-editor__col-label"><?php
				_e( 'Get Provider ID From:', 'jet-engine' );
			?></div>
			<div class="jet-form-editor__col-control">
				<select v-model="currentItem.settings.appointment_provider_field">
					<option value=""><?php _e( 'Not Selected', 'jet-engine' ); ?></option>
					<option value="current_post_id"><?php _e( 'Current Post ID', 'jet-engine' ); ?></option>
					<option value="form_field"><?php _e( 'Form Field', 'jet-engine' ); ?></option>
					<option value="manual_input"><?php _e( 'Manual Input', 'jet-engine' ); ?></option>
				</select>
			</div>
		</div>
		<div class="jet-form-editor__col">
			<div class="jet-form-editor__col-label"><?php
				_e( 'Select Provider Field <i>(for <b>Form Field</b> option)</i>:', 'jet-engine' );
			?></div>
			<div class="jet-form-editor__col-control">
				<select v-model="currentItem.settings.appointment_provider_form_field">
					<option value="">--</option>
					<option v-for="field in availableFields" :value="field" v-if="field !== currentItem.settings.name">{{ field }}</option>
				</select>
			</div>
		</div>
		<div class="jet-form-editor__col">
			<div class="jet-form-editor__col-label"><?php _e( 'Set Provider ID <i>(for <b>Manual Input</b> option)</i>:', 'jet-engine' ); ?></div>
			<div class="jet-form-editor__col-control">
				<input type="text" v-model="currentItem.settings.appointment_provider_id">
			</div>
		</div>
	</div>
</div>

<div class="jet-form-editor__row direction-column" v-if="'appointment_provider' === currentItem.settings.type">
	<div class="jet-form-editor__row-title"><?php
		_e( 'Provider Specific Settings', 'jet-appointmets-booking' );
	?></div>
	<div class="jet-form-editor__group">
		<div class="jet-form-editor__col">
			<div class="jet-form-editor__col-label"><?php
				_e( 'Get Service ID From:', 'jet-engine' );
			?></div>
			<div class="jet-form-editor__col-control">
				<select v-model="currentItem.settings.appointment_service_field">
					<option value=""><?php _e( 'Not Selected', 'jet-engine' ); ?></option>
					<option value="current_post_id"><?php _e( 'Current Post ID', 'jet-engine' ); ?></option>
					<option value="form_field"><?php _e( 'Form Field', 'jet-engine' ); ?></option>
					<option value="manual_input"><?php _e( 'Manual Input', 'jet-engine' ); ?></option>
				</select>
			</div>
		</div>
		<div class="jet-form-editor__col">
			<div class="jet-form-editor__col-label"><?php
				_e( 'Select Service Field <i>(for <b>Form Field</b> option)</i>:', 'jet-engine' );
			?></div>
			<div class="jet-form-editor__col-control">
				<select v-model="currentItem.settings.appointment_form_field">
					<option value="">--</option>
					<option v-for="field in availableFields" :value="field" v-if="field !== currentItem.settings.name">{{ field }}</option>
				</select>
			</div>
		</div>
		<div class="jet-form-editor__col">
			<div class="jet-form-editor__col-label"><?php _e( 'Set Service ID <i>(for <b>Manual Input</b> option)</i>:', 'jet-engine' ); ?></div>
			<div class="jet-form-editor__col-control">
				<input type="text" v-model="currentItem.settings.appointment_service_id">
			</div>
		</div>
	</div>
</div>
